<?
###########################################
# OZEKI SMS Server / PHP Client
# Version: v1.0.1
# Developer: 
#
# Gyula Rabai 
# Ozeki Informatics Ltd.
# 4032 Hungary, Debrecen 
# e-mail: gyula.rabai@ozeki.hu
# http://www.ozeki.hu
#
# License: Freeware
###########################################

$ozekiSMSSocket = '';
$ozekiSMSCredit = 0;
function sms_connect($serverIP,$serverPort,$account) {; 
	global $ozekiSMSSocket;
	global $ozekiSMSCredit;
	$ret = true;
	$ozekiSMSSocket = fsockopen($serverIP, $serverPort, $errno, $errstr, "60");	

	if ($errno) {
		echo $errstr;
		$ozekiSMSCredit = 0;
	}

	//$greeting = fgets($ozekiSMSSocket,1000);
	//$greeting = fgets($ozekiSMSSocket,1000);

	$greeting = trim(fgets($ozekiSMSSocket,1000));
	$randomstring = trim(fgets($ozekiSMSSocket,1000));

	if (strlen($randomstring)) {
		$reply = md5($randomstring.$account).chr(13).chr(10);
		fputs($ozekiSMSSocket,$reply);
		$ozekiSMSCredit = trim(fgets($ozekiSMSSocket,1000));
	}
	return $ozekiSMSCredit;
}

function sms_send($msisdn,$msg) {
	global $ozekiSMSSocket;
	global $ozekiSMSCredit;
	if ((isset($ozekiSMSSocket)) && ($ozekiSMSCredit>0)) {
		$msg=$msisdn.' '.$msg.chr(13).chr(10);
		fputs($ozekiSMSSocket,$msg);
    } else {
		$ozekiSMSCredit = 0;
	}
	return $ozekiSMSCredit;
}

function sms_receive() {
	global $ozekiSMSSocket;
	$received = '';
	if (isset($ozekiSMSSocket)) {
		$msg='OZEKI_INBOX'.chr(13).chr(10).'GET'.chr(13).chr(10);
		fputs($ozekiSMSSocket,$msg);
		$count = trim(fgets($ozekiSMSSocket,1000));
		for ($x=0;$x<$count;$x++) {
			$line = fgets($ozekiSMSSocket,1000);
			$received .= trim($line).chr(13).chr(10);
		}
	}
	return $received;
}

function sms_disconnect() {
	global $ozekiSMSSocket;
	if (isSet($ozekiSMSSocket)) fclose($ozekiSMSSocket);
}

?>